package com.mirs.biz.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.mirs.common.annotation.Excel;
import com.mirs.common.core.domain.BaseEntity;

/**
 * BRDF数据对象 biz_brdf_data_t
 * 
 * @author kk
 * @date 2025-04-24
 */
public class BrdfData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 样片型号 */
    @Excel(name = "样片型号")
    private String sampleModel;

    /** 温度(K) */
    @Excel(name = "温度(K)")
    private Long temperatureK;

    /** 光谱(μm) */
    @Excel(name = "光谱(μm)")
    private String wavelengthUm;

    /** 入射天顶角θi */
    @Excel(name = "入射天顶角θi")
    private Integer thetaIncident;

    /** 入射方位角φi */
    @Excel(name = "入射方位角φi")
    private Integer phiIncident;

    /** 反射天顶角θr */
    @Excel(name = "反射天顶角θr")
    private Integer thetaReflected;

    /** 反射方位角φr */
    @Excel(name = "反射方位角φr")
    private Integer phiReflected;

    /** 重复测量1 */
    @Excel(name = "重复测量1")
    private BigDecimal measurement1;

    /** 重复测量2 */
    @Excel(name = "重复测量2")
    private BigDecimal measurement2;

    /** 重复测量3 */
    @Excel(name = "重复测量3")
    private BigDecimal measurement3;

    /** 重复测量4 */
    @Excel(name = "重复测量4")
    private BigDecimal measurement4;

    /** 重复测量5 */
    @Excel(name = "重复测量5")
    private BigDecimal measurement5;

    /** 均值 */
    @Excel(name = "均值")
    private BigDecimal meanValue;

    /** 重复性% */
    @Excel(name = "重复性%")
    private BigDecimal repeatabilityPct;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSampleModel(String sampleModel) 
    {
        this.sampleModel = sampleModel;
    }

    public String getSampleModel() 
    {
        return sampleModel;
    }
    public void setTemperatureK(Long temperatureK) 
    {
        this.temperatureK = temperatureK;
    }

    public Long getTemperatureK() 
    {
        return temperatureK;
    }
    public void setWavelengthUm(String wavelengthUm) 
    {
        this.wavelengthUm = wavelengthUm;
    }

    public String getWavelengthUm() 
    {
        return wavelengthUm;
    }
    public void setThetaIncident(Integer thetaIncident)
    {
        this.thetaIncident = thetaIncident;
    }

    public Integer getThetaIncident()
    {
        return thetaIncident;
    }
    public void setPhiIncident(Integer phiIncident)
    {
        this.phiIncident = phiIncident;
    }

    public Integer getPhiIncident()
    {
        return phiIncident;
    }
    public void setThetaReflected(Integer thetaReflected)
    {
        this.thetaReflected = thetaReflected;
    }

    public Integer getThetaReflected()
    {
        return thetaReflected;
    }
    public void setPhiReflected(Integer phiReflected)
    {
        this.phiReflected = phiReflected;
    }

    public Integer getPhiReflected()
    {
        return phiReflected;
    }
    public void setMeasurement1(BigDecimal measurement1) 
    {
        this.measurement1 = measurement1;
    }

    public BigDecimal getMeasurement1() 
    {
        return measurement1;
    }
    public void setMeasurement2(BigDecimal measurement2) 
    {
        this.measurement2 = measurement2;
    }

    public BigDecimal getMeasurement2() 
    {
        return measurement2;
    }
    public void setMeasurement3(BigDecimal measurement3) 
    {
        this.measurement3 = measurement3;
    }

    public BigDecimal getMeasurement3() 
    {
        return measurement3;
    }
    public void setMeasurement4(BigDecimal measurement4) 
    {
        this.measurement4 = measurement4;
    }

    public BigDecimal getMeasurement4() 
    {
        return measurement4;
    }
    public void setMeasurement5(BigDecimal measurement5) 
    {
        this.measurement5 = measurement5;
    }

    public BigDecimal getMeasurement5() 
    {
        return measurement5;
    }
    public void setMeanValue(BigDecimal meanValue) 
    {
        this.meanValue = meanValue;
    }

    public BigDecimal getMeanValue() 
    {
        return meanValue;
    }
    public void setRepeatabilityPct(BigDecimal repeatabilityPct) 
    {
        this.repeatabilityPct = repeatabilityPct;
    }

    public BigDecimal getRepeatabilityPct() 
    {
        return repeatabilityPct;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sampleModel", getSampleModel())
            .append("temperatureK", getTemperatureK())
            .append("wavelengthUm", getWavelengthUm())
            .append("thetaIncident", getThetaIncident())
            .append("phiIncident", getPhiIncident())
            .append("thetaReflected", getThetaReflected())
            .append("phiReflected", getPhiReflected())
            .append("measurement1", getMeasurement1())
            .append("measurement2", getMeasurement2())
            .append("measurement3", getMeasurement3())
            .append("measurement4", getMeasurement4())
            .append("measurement5", getMeasurement5())
            .append("meanValue", getMeanValue())
            .append("repeatabilityPct", getRepeatabilityPct())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
